/**************************************************************
* SplitServ main header file
* $Id: oper.h,v 1.5 2000/06/29 17:27:26 wcampbel Exp $
**************************************************************/

#ifndef SPLIT_H
#define SPLIT_H

#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <errno.h>
#include <netdb.h>
#include <netinet/in.h>
#include <unistd.h>
#include <time.h>
#include <string.h>
#include <stdarg.h>
#include <stdlib.h>
#include <sys/time.h>
#include <ctype.h>
#include <sys/stat.h>
#include "config.h"

#define BUFSIZE 512
#define bzero(x,y)	memset(x, '\0', y);
#define MAXNICK	32
#define MAXHOST 63
#define MAXPASS	32
#define LINE 80

struct me {
	char uplink[MAXHOST];
	int port;
	char desc[LINE];
	int r_time;
	char adpass[MAXPASS];
	char version[LINE];
	char join_chan[LINE];
	char op_chan[LINE];
	char nick[MAXNICK];
} me;

int op_flag;
int inv_flag;
int servsock;

/* conf.c */
extern void strip(char *);
extern void LoadConf();

/* sock.c */
extern void ListenLoop();
extern int Connect();

/* irc.c */
extern void Register();
extern void Parse(char *);
extern void Shutdown(char *, char *);
extern void Restart(char *, char *);
extern void PrintHelp(char *, char *);

/* util.c */
extern void log(char *, ...);
extern void sts(char *, ...);
extern void CTCPClean(char *);

#endif
