/*********************************************
* util.c - Utility functions
*
* CVS $Id: util.c,v 1.3 2000/06/29 17:27:26 wcampbel Exp $
*********************************************/

#include "oper.h"

void log(char *fmt, ...)
{
        va_list ap;
        FILE *logfile;
        char buf[512], fmtime[80];
        time_t tmp = time(NULL);

        va_start(ap, fmt);
        vsnprintf(buf, 512, fmt, ap);

        strftime(fmtime, 80, "%H:%M[%m/%d/%Y]", localtime(&tmp));

        if ((logfile = fopen(LOGFILE, "a")) == NULL) return;

        if (logfile)
                fprintf(logfile, "(%s) %s\n", fmtime, buf);

#ifdef DEBUG
        fprintf(stderr, "(%s) %s\n", fmtime, buf);
#endif

        fclose(logfile);
        va_end(ap);
}

void sts(char *fmt,...)
{
        va_list ap;
        char buf[512];

        va_start (ap, fmt);
        vsnprintf (buf, 512, fmt, ap);

#ifdef DEBUG
        log("SENT: %s", buf);
#endif
        strcat (buf, "\n");

        if ((write (servsock, buf, strlen (buf))) == -1) {
                log("Write error.");
                exit(0);
        }

        va_end (ap);
}

void CTCPClean(char *line)
{
        char *c;

        if ((c = strchr(line, '\001')))   *c = '\0';
}
